CREATE TABLE IF NOT EXISTS LifecycleStatus(
    id SMALLINT PRIMARY KEY,
    name VARCHAR(32) NOT NULL
);

INSERT INTO LifecycleStatus(id, name) VALUES (0, 'PENDING');
INSERT INTO LifecycleStatus(id, name) VALUES (1, 'PROCESSING');
INSERT INTO LifecycleStatus(id, name) VALUES (2, 'COMPLETED');

ALTER TABLE IF EXISTS Operation ADD COLUMN IF NOT EXISTS lifecycle_status SMALLINT references LifecycleStatus(id);