ALTER TABLE Sensor
    DROP CONSTRAINT sensor_device_id_key,
    ADD COLUMN organization UUID REFERENCES Organization(id);

UPDATE Sensor
SET organization = job.organization
FROM Sensor AS s
         LEFT JOIN Operation op ON op.sensor = s.id
         LEFT JOIN Job job on job.id = op.job;

ALTER TABLE Sensor
    ALTER COLUMN organization SET NOT NULL,
    ADD UNIQUE (device_id, organization);